Show / Hide Table of Contents

# Struct UnionValue

##### Inherited Members

System.ValueType.Equals(System.Object)
System.ValueType.GetHashCode()
System.ValueType.ToString()
System.Object.Equals(System.Object, System.Object)
System.Object.ReferenceEquals(System.Object, System.Object)
System.Object.GetType()

###### Namespace: ImGuiNET

###### Assembly: ImGui.NET.dll

##### Syntax

    public struct UnionValue

### Fields

| Improve this Doc View Source

#### ValueF32

##### Declaration

    public float ValueF32

##### Field Value

Type | Description
--- | ---
System.Single |

| Improve this Doc View Source

#### ValueI32

##### Declaration

    public int ValueI32

##### Field Value

Type | Description
--- | ---
System.Int32 |

| Improve this Doc View Source

#### ValuePtr

##### Declaration

    public IntPtr ValuePtr

##### Field Value

Type | Description
--- | ---
System.IntPtr |